Lua_TestWindow = class("Lua_TestWindow", Lua_Window);
function Lua_TestWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TestWindow";
	self.skinName = "TestWindow_Skin";
end

function Lua_TestWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.effBtn = UICreate.createButton(self.content, "特效", -330, 200, 100, 30);
	self.effBtn:setStyle(16);
	self.effBtn:setDepth(6);
	self.effBtn:addClickFuntion(self, self.openShowEff);
end

function Lua_TestWindow:dispose()
	self:superCall("dispose");
end

function Lua_TestWindow:testShowItem()
	self.showItem = Lua_ShowItem.new(self.content);
	self.showItem.isWords = true;
	self.showItem.isNum = true;
	self.showItem.wordsFontSize = 30;
	self.showItem.numFontSize = 30;
	self.showItem.showPosX = -150;
	self.showItem:setData({wordsStr = "这是数字：", numStr = "9999"});
end

function Lua_TestWindow:openShowEff()
	if self.firstShowEff == nil then
		self.firstShowEff = true;
		self.effBtn:setEnable(false);

		self.pathInput = UICreate.createInput(self.content, "/effects/scsEffects/gui_fahongbao", -360, 190, 600, 30, 22);
		self.pathInput:setDepth(6);

		self.nameInput = UICreate.createInput(self.content, "gui_fahongbao", -360, 150, 600, 30, 22);
		self.nameInput:setDepth(6);

		self.showBtn = UICreate.createButton(self.content, "展示特效", 300, 170, 100, 30);
		self.showBtn:setStyle(16);
		self.showBtn:setDepth(6);
		self.showBtn:addClickFuntion(self, self.onShowEff);
	end
end

function Lua_TestWindow:onShowEff()
	if self.pathInput.text == nil or self.pathInput.text == "" then
		OperateAlert.show("特效路径为空");
		return;
	end
	if self.nameInput.text == nil or self.nameInput.text == "" then
		OperateAlert.show("特效名为空");
		return;
	end

	if self.showEff == nil then
		self.showEff = UICreate.createUIEffect(self.content, self.pathInput.text, self.nameInput.text, 0, 0);
		self.showEff:SetRenderQueue(self.winBg, 5, 2, false);
	end
	self.showEff:setUrl(self.pathInput.text, self.nameInput.text);
end